Skip to main content
Infrastructure/Federation & SSO
POSTFederationSince 1.0SynchronousAuth Required

DiscoverIDP

IDP Discovery & Probe Probe a remote endpoint to discover and register an Identity Provider connection.

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • endpointStringRequired

    Endpoint URL of the Identity Provider to probe for discovery.

    Example: https://idp.example.com

  • usernameStringRequired

    Username credential used to authenticate during IDP discovery.

    Example: admin

  • passwordStringRequired

    Password credential used to authenticate during IDP discovery.

    Example: p@ssw0rd

Responses

200 OK

On success, this API returns the following response structure.

  • idString

    Unique identifier of the discovered IDP provider connection.

    Example: idp-conn-001

  • providerTypeString

    Type of the discovered identity provider.

    Example: OIDC

  • endpointString

    Endpoint URL of the discovered identity provider.

    Example: https://idp.example.com

  • statusString

    Current connectivity status of the IDP provider connection.

    Example: reachable

  • discoveredAtString

    Discovered at

    Example: 2026-01-15T08:00:00Z

  • updatedAtString

    Updated at

    Example: 2026-01-15T08:00:00Z

Endpoint

POST/api/v1/sso/idp/discover

/api/v1/sso/idp/discover

Operation ID

DiscoverIDP

Permalink

Request Example

curl -X POST '{host}/api/v1/sso/idp/discover' -H 'Authorization: Bearer {token}' -H 'Content-Type: application/json' -d '{"endpoint":"https://idp.example.com","username":"admin","password":"p@ssw0rd"}'

Response Example

200
{
  "id": "idp-conn-001",
  "providerType": "OIDC",
  "endpoint": "https://idp.example.com",
  "status": "reachable",
  "discoveredAt": "example",
  "updatedAt": "example"
}

Change History

This API has no change history records yet.

View all change history